Bug Hunting Session
Bug 92438 - regression in LibreLogo icon order
Summary: regression in LibreLogo icon order
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: Other All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:5.1.0 target:4.4.5 target:5.0...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-06-29 23:36 UTC by László Németh
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot about the reintroduced problem (109.99 KB, image/png)
2015-06-29 23:36 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2015-06-29 23:36:19 UTC
Created attachment 116937 [details]
Screen shot about the reintroduced problem

In LibreOffice 4.3, icon set of Logo toolbar has been reorganized fixing the three-line non-docked toolbar (see the attached screen shot made by Gilvan Vilarim) or non-visible last icon on the docked toolbar.

Unfortunately, in 4.4. and 5.0, the problem (originally fixed in http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1bfac2c4643869ded140828aceaaf9a9d0e5ee0) is reintroduced: the input box hasn't been the last item again on the toolbar.
Comment 1 Commit Notification 2015-06-29 23:39:35 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=571f0abb95e1d4aa1cb7cad20b783b17ba7ac99d

tdf#92438 fix regression in LibreLogo icon order

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-06-30 06:22:02 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10edfb9f97740f3eb6abf0da57ccb5c985296aef&h=libreoffice-4-4

tdf#92438 fix regression in LibreLogo icon order

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-06-30 06:22:07 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=620c0838e5ceaa86b234c75687b3773097e8e353&h=libreoffice-5-0

tdf#92438 fix regression in LibreLogo icon order

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.